EKNO YUAG - Feature #3605

Report Payroll Invoice Detail - METALINDO
05/14/2025 05:09 PM - Mr [kmal

Status: QA Test Start date: 05/14/2025
Priority: Normal Due date:

Assignee: Mr [kmal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 5.00 hours
Description

Dear mas azid,

Berikut untuk Format Invoice Detail PT Metalindo. Pada sheet Detail Invoice yg berwarna kuning referensi & penjelesannya

https://docs.google.com/spreadsheets/d/1327a-akaPDsMGVQ2aeQ70-3qJ76CjJz9/edit?usp=sharing&ouid=1105823143508083179

89&rtpof=true&sd=true

Sudah dibuatkan menu nya di table:
SMENU

SENUTXT

PCMEPRPTCATALOG

di table SMENU & SMENUTXT
menulD: CYARINVDETAILMETALINDO

di table PCMEPRPTCATALOG
reportID: CYARINVDETAILMETALINDO

Catatan: Setelah kolom Total Diterima ada kolom No Rekening, NIK KTP, NO KPJ, NO REK, Keterangan itu tidak perlu dibuat dlu
kolom nya mas (tunggu dikonfirmasi data dari user)

Untuk yang pakai Kode Wage Type nilai Amount nya ambil dari PHRPYTRO0301 dan cek juga ke table PHRPYTR301RET apabila
ada retro disana.

Di tabel PHRPYTR301RET, nnti bisa cek kolom PayPeriodMonth dan RunPeriodMonth. Cthnya:

PayPeriodMonth = 01 (Januari)

RunPeriodMonth = 02 (Februari)

Jika, terjadi perubahan nilai (cthnya: kenaikan gaji di kode Wage Type 1000) yang berlaku mulai Januari. Namun karena gaji bulan
Januari sudah sempat dibayarkan terlebih dahulu dengan nilai lama, maka selisih dari kenaikan tersebut akan dibayarkan di bulan
Februari melalui proses retro.

Cth:

Nilai awal yang dibayarkan di Januari: 4 juta

Setelah ada kenaikan yang berlaku mulai Januari, seharusnya menjadi: 5 juta

Maka pada proses run di Februari, sistem akan membayarkan selisih 1 juta

Total nilai yang diambil di Februari adalah 5 juta (untuk Februari) + 1 juta (selisih retro Januari) = 6 juta

Terima kasih.

https:/hris-ekno.minovais.com/Account/Login

port db: 103.153.60.89
database: MinovaES_Ekno
#1 - 05/15/2025 04:50 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 05/16/2025 02:56 PM - Mr Ikmal

Dear mas azid,

Berikut yg sudah didiskusikan:

Untuk periode berjalan yang digunakan dalam perhitungan HK/Bulan (setelah ambil dari PA125 filter berdasarkan periode payroll):
PT Metalindo

Periode: Tanggal 21 bulan berjalan hingga tanggal 20 bulan berikutnya

Contoh:
Periode Januari dihitung dari 21 Desember 2024 - 20 Januari 2025

terima kasih

#3 - 05/19/2025 10:50 AM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Mr Ikmal
dear ikmal , udah bisa di test ya

makasih

#4 - 05/21/2025 06:13 PM - Mr Ikmal

- Assignee changed from Mr Ikmal to M Azid Wahyudi
Dear mas azid,

Mohon bantuannya di bagian kolom Tunjangan Transport ingin menggunakan rumus sesuai template:
100000/HK Perusahaan*Conv

100000 -> Ambil dari kode wage type 1002 di table TR301

HK Perusahaan nilai nya yg dari PWS (PHRPAO0125)
conv nilai nya dari field number code WageType 1002 (Tj Transport) di table PHRPA0005

Lalu, untuk FASKES kayaknya salah ambil wage type mas harusnya ambil wage type TKES di rdl nya

https://docs.google.com/spreadsheets/d/1327a-akaPDsMGVQ2aeQ70-39J76CjJz9/edit?usp=sharing&ouid=110582314350808317989&rtpof=true&sd

=true

terima kasih

#5 - 05/26/2025 11:57 AM - M Azid Wahyudi

- Assignee changed from M Azid Wahyudi to Mr Ikmal
dear ikmal , udah bisa di test ulang ya

makasih

#6 - 05/26/2025 02:03 PM - Mr Ikmal

- File clipboard-202505261403-4pqvi.png added

- Assignee changed from Mr Ikmal to M Azid Wahyudi
Dear mas azid,

Sudah dibuat data dummy di PWS PHRPAO0125 untuk get HK Perusahaan, tetapi pas di cek di perhitungan Tunjangan Transport masih kurang benar
kalkulasi nya mas

Contoh pada template:
100.000 / HK Perusahaan * Conv
100.000/ 23 * 22 = 95.652,17

(sesuai diskusi tadi rumus nya dibuat formula berarti mas / hardcode rumus nya gmn gampangnya)

Report Result -
4 { |1 of 1 | d} Export
REKAPITULASI TAGIHAN PERSERTA MAGANG PT.EKNO YUAG INDONESIA
DI PT. METALINDO MULTIDINAMIKA MANDIRI
TUNJANGAN TRANSPORT TUNJANGAN SHIFT 3 LEMBUR UANG MAKAN LEMBUR
GAJI POKOK HK HK GAJI Conv 100.000 Conv 30.000 Conv 23.000 Conv 12.000
PERUSAHAAN ACTUAL PROPOSIONAL
Rp 3,914,447.00 23 0 Rp 3,914,447.00 22 Rp 2,200,000.00 \ 0 Rp 0.00| 12.00 Rp 276,000.00 3 Rp 36,000.00
Rp 3,914,447.00 0 Rp 3,914,447.00 22 \Rp 2,200,000.00 0 Rp 0.00| 12.00 Rp 276,000.00 3 Rp 36,000.00
Saat ini sepertinya masih menghitung 100.000 * 22 aja karena hasilnya 2.200.000
Mohon diperbaiki mas, terima kasih yaa
#7 - 05/26/2025 04:14 PM - Mr Ikmal
mas sorry, yg tadi ternyata jgn ada hardcode di formula nya
100.000 -> Ambil dari PHRPYCUO0304 kode WageType 1002 yg PayrollType nya 15
23 -> PWS (PHRPAO0125)
22 -> Number (PHRPAOQ005)
#8 - 05/26/2025 05:18 PM - M Azid Wahyudi
- Assignee changed from M Azid Wahyudi to Mr Ikmal
dear ikmal , udah bisa di test ya
makasih
#9 - 06/03/2025 08:44 AM - Mr lkmal
Hide invoice detail Metalindo
update:
SMENU:
menulD: CYARINVDETAILMETALINDO
Active: 0
Files
clipboard-202505261403-4pqvi.png 99.9 KB 05/26/2025 Mr [kmal
